#include <iostream>
using namespace std;
int main()
{
    int n, l,rez = -1;
    cin>>n>>l;
    int a[n];
    for(int i = 0; i < n; i++)
    {
        cin>>a[i];
        if(a[i] <= l && rez == -1)
            rez = i+1;
    }
    cout<<rez;
    return 0;
}